<?php

interface sigb {

    static function fullInfos();
    
    public function login($user, $pass, $ldap=false);
    public function accountDetails($userInt);
    public function getUserLoans($userInt, $serialized=false);
    public function getUserLoansHistory($userInt, $serialized=false);
    public function getUserBookingsHistory($userInt);
    public function updateAccount($formDatas);
    public function updateGroupAccount($formDatas);
    public function userLostPassword($mail);
    public function prolongLoan($id,$userid="");
    public function reserveInfo($userInt, $idNotice);
    public function reserveElectronicals($idElectronicals, $mode, $userInt);
    public function reserveDocument($userInt, $idNotice, $site);
    public function reserveCancel($resid, $userInt);
    public function copyDetails($idNotice, $institution, $userInt="");
    public function sendMessage($userInt, $mailId, $action, $objet, $text, $suggTitle, $suggAuthor, $suggEditor, $suggDocType);
    
}

?>